Package org.drinkless.tdlib

# Class TdApi.SetGroupCallParticipantVolumeLevel

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetGroupCallParticipantVolumeLevel

Enclosing class:
  `TdApi`

public static class TdApi.SetGroupCallParticipantVolumeLevel extends TdApi.Function<TdApi.Ok>
Changes volume level of a participant of an active group call; not supported for live stories. If the current user can manage the group call or is the owner of the group call, then the participant's volume level will be changed for all users with the default volume level.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier.
  `TdApi.MessageSender`
  `participantId`
  Participant identifier.
  `int`
  `volumeLevel`
  New participant's volume level; 1-20000 in hundreds of percents.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetGroupCallParticipantVolumeLevel()`
  Default constructor for a function, which changes volume level of a participant of an active group call; not supported for live stories.
  `SetGroupCallParticipantVolumeLevel(int groupCallId, TdApi.MessageSender participantId, int volumeLevel)`
  Creates a function, which changes volume level of a participant of an active group call; not supported for live stories.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier.

  - ### participantId

    public TdApi.MessageSender participantId
    Participant identifier.

  - ### volumeLevel

    public int volumeLevel
    New participant's volume level; 1-20000 in hundreds of percents.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetGroupCallParticipantVolumeLevel

    public SetGroupCallParticipantVolumeLevel()
    Default constructor for a function, which changes volume level of a participant of an active group call; not supported for live stories. If the current user can manage the group call or is the owner of the group call, then the participant's volume level will be changed for all users with the default volume level.

    Returns `Ok`

  - ### SetGroupCallParticipantVolumeLevel

    public SetGroupCallParticipantVolumeLevel(int groupCallId, TdApi.MessageSender participantId, int volumeLevel)
    Creates a function, which changes volume level of a participant of an active group call; not supported for live stories. If the current user can manage the group call or is the owner of the group call, then the participant's volume level will be changed for all users with the default volume level.

    Returns `Ok`

    Parameters:
      `groupCallId` - Group call identifier.
      `participantId` - Participant identifier.
      `volumeLevel` - New participant's volume level; 1-20000 in hundreds of percents.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR